Uses Fenix’s built-in meshing algorithm to produce interconnected meshes from any number of areas ,lines, and points. Lines and points are used as constraints in the area mesh, but are also themselves discretized (in the case of lines) and output.

Inputs

Number Name Object Type Description Optional
1 Geometry List<IGH_GeometricGoo> List of geometry to include in the mesh. The geometry in the list must be one of the following: (1) planar polygon, (2) planar rectangle, (3) planar surface, (4) line, (5) polyline, (6) point No
2 Mesh Size System.Double Approximate mesh size to target, in the model unit system. No
3 Max Angle System.Double Maximum mesh angle to target. Defaults to 180 deg. Yes
4 Min Angle System.Double Minimum mesh angle to target. Defaults to 28 deg. Yes
7 Num Refinements System.Int32 Number of refinements to perform. Defaults to 2. Yes
8 Num Smooths System.Int32 Number of smoothing operations to perform. Defaults to 2. Yes
9 Refine Smooth System.Boolean Whether to refine after each smoothing operation. Defaults to true. Yes
10 Quads System.Boolean Whether the mesher should try to form quads out of adjacent triangles. Defaults to false. Yes

Outputs

Number Name Object Type Description
1 Area Mesh List<Rhino.Geometry.Mesh> A list of mesh objects that were created. An individual mesh object is created for each separate (not connected) group of areas.
2 Lines List<Rhino.Geometry.Curve> A list of discretized lines that were produced when meshing. Lines are discretized where they cross other lines, where they intersect area mesh nodes, and where they intersect individual points.
3 Points List<Rhino.Geometry.Point> A list of the user-provided points include in the mesh.

Mesh Shapes.png